Mojolicious::Command::Author::generate(3pm)

NAME
Mojolicious::Command::Author::generate - Generator command

SYNOPSIS
  Usage: APPLICATION generate GENERATOR [OPTIONS]

    mojo generate app
    mojo generate lite-app

DESCRIPTION
Mojolicious::Command::Author::generate lists available generators.

This is a core command, that means it is always enabled and its code a good example for learning to build new commands, you're welcome to fork it.

See "COMMANDS" in Mojolicious::Commands for a list of commands that are available by default.

ATTRIBUTES
Mojolicious::Command::Author::generate inherits all attributes from Mojolicious::Commands and implements the following new ones.

  description
  my $description = $generator->description;
  $generator      = $generator->description('Foo');

Short description of this command, used for the command list.

  hint
  my $hint   = $generator->hint;
  $generator = $generator->hint('Foo');

Short hint shown after listing available generator commands.

  message
  my $msg    = $generator->message;
  $generator = $generator->message('Bar');

Short usage message shown before listing available generator commands.

  namespaces
  my $namespaces = $generator->namespaces;
  $generator     = $generator->namespaces(['MyApp::Command::generate']);

Namespaces to search for available generator commands, defaults to Mojolicious::Command::Author::generate.

METHODS
Mojolicious::Command::Author::generate inherits all methods from Mojolicious::Commands and implements the following new ones.

  help
  $generator->help('app');

Print usage information for generator command.

SEE ALSO
Mojolicious, Mojolicious::Guides, <https://mojolicious.org>.